Subject: RE: [DNA] Revised dna-link-info I-D

From: "Tero Kauppinen (JO/LMF)" <[email-masked]>
Date: Wed, 20 Jul 2005 07:14:48 +0200

Hi Alper,

>Hi Tero,
>
>How about if we add one more sentence to the end of this paragraph:
>
>   Among these two events the first one to take place after an interface
>   becomes enabled MUST be a link up event.  During the time a network
>   interface is enabled, it may go through a series of link up and down
>   events.  Each time the interface changes its point of attachment, a
>   link down event with the previous attachment point MUST be followed
>   by a link up event with the new one.  Finally, when the network
>   interface is disabled, this MUST generate a link down event.  Each
>   one of these events MUST generate a notification in the order they
>   occur. Note that, a link down notification MAY NOT be generated
>   if an optional tear-down protocol exchange or mechanism is skipped
>   prior to performing a handover.

Yep, that's perfect.

/Tero
>Alper
>
> -----Original Message-----
> From: Tero Kauppinen (JO/LMF) [mailto:[email-masked]]
> Sent: Tuesday, July 19, 2005 1:15 AM
> To: Alper Yegin; [email-masked]
> Subject: RE: [DNA] Revised dna-link-info I-D
> 
> Hi Alper,
> 
> This has already been discussed on the mailing list, but I wanted to
bring
> it up again anyway.
> 
> I feel that it's worth noting in the draft (maybe in Section 2.:
"Among
> these two event the first one...) that certain link technologies (I
only
> know of 802.11) don't necessarily produce a link-down event prior a
link-
> up event when the node re-associates with a new AP. If such a
link-down
> event is desirable, it must be generated from the host's stack because
I
> don't think it is realistic to assume that already existing hardware
will
> be updated to produce such events.
> 
> --
> Tero
> 
> -----Original Message-----
> From: [email-masked] [mailto:owner-
> [email-masked]] On Behalf Of Alper Yegin
> Sent: 18. heinäkuuta 2005 22:03
> To: [email-masked]
> Subject: [DNA] Revised dna-link-info I-D
> 
> 
> Folks,
> 
> I've had submitted the revised version of the dna-link-info I-D 10
days
> ago, but it hasn't showed up on the IETF repository yet. For that,
> please see a copy of the I-D at the following location:
> 
> http://yegin.org/IETF/draft-ietf-dna-link-information-02.txt
> 
> The major changes in this revision include:
> 
> - New text for IEEE 802.3.
> - Handling multiple 3GPP PDP Contexts.
> 
> I'd like to take your attention to the changes we needed to make in
> order to accommodate nondeterministic L2 events on Ethernet (e.g.,
link
> is up but the host the network may block data transmission). Please
read
> Section 2 and the entire 2.4 to see the details.
> 
> Please review and comment before the Paris meeting.
> 
> Alper
> 
>